Subject: Re: [v4v6interim] "IPv4->IPv6 is hard"

From: Xing Li <[email-masked]>
Date: Sun, 02 Nov 2008 10:15:08 +0800

Hi, Rémi,

thanks for the comments. sorry for the late response.

Rémi Després 写道:
> Xing,
>
> 1.
> I share the view that,  for ISPs that haven't enough v4 addresses for
> all their customers (there will be more and more), charging a higher
> price for those that need one or several  global IPv4 address makes a
> lot of sense.
>
> It is not in conflict with the fact that ISPs that still have enough v4
> space to distribute can also distribute IPv6 prefixes without extra
> price.  (Free did in France, using 6rd for that).
>
> I fully agree with Fred and you that, for the coexistence period,
> progress on _technologies_ is more than ever a high priority.
> The goal must be workable proposals among which ISPs and other Internet
> actors will make their choices.
>
> 2.
> Now, for ISPs that are short in v4 addresses, I believe that merging
> IVI and SAM would permit to offer IPv4 connectivity across IPv6
> networks at no extra price.
In our design and implementation, there are several modes of IVI
(1) Stateless 1:1 mapping
(2) Stateful 1:N mapping
(3) Stateless 1:N mapping

We believe that (1) and (2) have higher priority at this moment.
>
> ISPs would for this assign port-restricted IPv4 addresses to ordinary 
> customers, with 1:1 correspondence between their IPv6 prefixes and 
> their port-restricted addresses. This is what is envisaged in section 
> 6.2 of your draft-xli-behave-ivi-00, but in fixing details as proposed 
> in SAM. (A new draft on SAM is planned for Minneapolis. It should be 
> easier to
> read than draft-despres-sam-00 and draft-despres-sam-scenarios-00 that 
> I hastily finished writing for the Montreal meeting).
>
> First simplification compared to the current IVI:
> - In SAM, v4 packets that traverse IPv6 domains are for this 
> encapsulated in v6 packets.
> - Thus, no SIIT translation (and no ALG) is needed between IPv4 and IP 
> v6 at the border between the IPv4 and IPv6 domains :-).
This is an interesting topic, encapsulation-decapsulation vs. 
double-translation. We should do comparisons.
>
> Second simplification:
> - In an IPv6 address, SAM embeds only the part of the port-restricted 
> IPv4 address that is useful to find a route (not the first bits of the 
> IPv4 address that are redundant with the IPv6 prefix).
> - Thus, as long as the IPv6 prefix fits in 64 bits (which should be the
> rule), no new v6 address format is needed :-).
>
> Support of the IPv4->IPv6 scenario:
> If a host that supports SAM is attached to an IPv6-only network that 
> has SAM gateways at its border with the IPv4 Internet, this host can 
> be reached, at its port-restricted IPv4 address, by any host on the 
> global
> IPv4 Internet. This is similar to the idea of hosts that directly 
> support IVI, the "more interesting scenario" of section 4.8  in your 
> draft-xli-behave-ivi-00.
>
> 3.
> Trying to  take the best of IVI, SAM, and A+P, and possibly merge them,
> would IMHO be an interesting subject for discussion in Minneapolis.
Interesting, we will discuss more on this direction. Do you have 
documents on this issue? We are currently working on drafts of 
v4v6-translation and v4v6-framework.

xing

>
>
> Best regards
>
> Rémi
>
>
>
>
>
>
> Xing Li   (m/j/a) 10/20/08 9:19 AM:
>> Fred Baker 写道:
>>> Let's work on the technology.
>> Agree. We are working on technology and provide feasible solutions. 
>> The market will make the decision. xing
>>>
>>>
>>
>> _______________________________________________ v4v6interim mailing
>> list [email-masked] 
>> https://www.ietf.org/mailman/listinfo/v4v6interim
>
>
>
>
>
>
>

_______________________________________________
v4v6interim mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/v4v6interim